export class SchemaError extends Error {
  constructor(message: string, table?: string, column?: string) {
    if (typeof table === "string" && typeof column === "string") {
      super(`SchemaError: ${message} ON ${table}.${column}`);
    } else if (typeof table === "string") {
      super(`SchemaError: ${message} ON ${table}`);
    } else {
      super(`SchemaError: ${message}`);
    }
  }
}
